Subject: RE: bug#18083: 24.4.50; (emacs) Arguments and (elisp) Prefix Command Arguments

From: Drew Adams <[email-masked]>
Date: Sat, 30 Apr 2016 07:16:34 -0800 (GMT-08:00)

> > > > Both of these nodes speak of `M--', `M-3', etc.  They should also
> > > > mention the equivalent `C--', `C-3', etc.
> > >
> > > I wonder whether the reason they aren't mentioned is that they're
> > > deprecated or something?  Anybody know?
> >
> > No, they are not deprecated.  Presumably they are not mentioned
> > because they are not available in some Emacs terminal sessions.
> >
> > That doesn't mean we shouldn't mention them - we should just
> > point out that they might not be available in some contexts.
> 
> FWIW, I know about them, but never use them.  So I'm not sure we
> should mention them in the manual.

I guess that sums things up, then? ;-)

> > They are particularly handy if you are using prefix args
> > a lot or repetitively, as they use the same modifier as `C-u'.
> > And they are somewhat easier for some people to type on some
> > (common) keyboards.
> 
> I'm probably missing something because I don't see how both of the
> above is not true about M-3 etc.

What is true of C- is not necessarily true in all contexts
for M-, and vice versa.  C-- C-2 C-x C-t.  And yes, for some
keyboards or some hands one or the other might be easier to use.

This should not be about choosing to document only this one
or only that one.  And it should not be based on what you
tend to use or I tend to use.  It costs little to mention
that C- also can be used, like M-.